#!/bin/bash
# Submission script for NIC4
#SBATCH --job-name=3_bodies
#SBATCH --time=00:01:00 # hh:mm:ss
#
#SBATCH --ntasks=10
#SBATCH --mem-per-cpu=800 # megabytes
#
#SBATCH --mail-user=kliegeoi
#SBATCH --mail-type=ALL
#
#SBATCH --comment=test
#SBATCH --output=workspace/3_bodies.%j.out

. ~/.bash_profile $SLURM_SUBMIT_HOST

env | egrep ^SLURM
module list
mpirun --version

cd ~/dev/waves

mpirun python mpirun.py --nogui mrstlnos/tests/3_bodies.py
