#!/bin/bash
# Submission script for NIC4
#SBATCH --job-name=cube_new
#SBATCH --time=00:15:00 # hh:mm:ss
#
#SBATCH --ntasks=1
#SBATCH --mem-per-cpu=2000 # megabytes
#SBATCH --cpus-per-task=1
#
#SBATCH --mail-user=kliegeoi
#SBATCH --mail-type=ALL
#
#SBATCH --comment=test
#SBATCH --output=workspace/cube_new.%j.out

. ~/.bash_profile $SLURM_SUBMIT_HOST

env | egrep ^SLURM
module list
mpirun --version

cd ~/dev/waves

mpirun python mpirun.py -k $SLURM_CPUS_PER_TASK --nogui mrstlnos/tests/cube_new.py
