#include "Stokhos_Sacado_Kokkos_MP_Vector.hpp"

#include "ROTG_decl.hpp"
#include "ROTG_def.hpp"

//using namespace DefaultGEMV;

typedef int IndexType;

#define ScalarType double

template void ROTG_ensemble_traits
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_ensemble_traits_pragma
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_as_double
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_1
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

#undef ScalarType

#define ScalarType Sacado::MP::Vector<Stokhos::StaticFixedStorage<int,double,8,Kokkos::OpenMP>>

template void ROTG_ensemble_traits
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_ensemble_traits_pragma
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_as_double
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_1
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_8
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_9
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_10
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

#undef ScalarType

#define ScalarType Sacado::MP::Vector<Stokhos::StaticFixedStorage<int,double,16,Kokkos::OpenMP>>

template void ROTG_ensemble_traits
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_ensemble_traits_pragma
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_as_double
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_1
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_8
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_9
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_10
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

#undef ScalarType

#define ScalarType Sacado::MP::Vector<Stokhos::StaticFixedStorage<int,double,32,Kokkos::OpenMP>>

template void ROTG_ensemble_traits
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_ensemble_traits_pragma
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_as_double
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_1
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_mask_assign_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_2
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_3
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_4
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_5
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_6
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_7
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_8
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_9
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

template void ROTG_Intel_Intrinsics_10
(ScalarType* da, ScalarType* db, ScalarType* c, ScalarType* s);

#undef ScalarType
