clear all
close all
clc
lambda = [1,1,1.0000001,1.000001,3.99999,4,4.00001];

tol = 10^(-8);
figure
subplot(1,3,1)
plot(lambda,ones(size(lambda)),'*')
grid on
axis equal
m = length(lambda);

%m = 10;
n = 20;

r_eig = ones(m,1);
% lambda = ones(m,1);
% for i=1:m
%     lambda(i) = m+1-i;
% end




C_eig = zeros(m,n);
C_eig(:,1) = r_eig;
ranks = zeros(1,n); 
ranks(1) = 1;

for i=2:n
    C_eig(:,i) = diag(lambda)*C_eig(:,i-1);
    ranks(i) = rank(C_eig(:,1:i),tol);
end

subplot(1,3,2)
plot(1:n,ranks,'*')
xlim([1,n])
ylim([1,n])
grid on
axis equal

C_eig

max_det = zeros(1,n);
for i=1:n
    if i > m
        break
    end
    C = nchoosek(1:m,i);
     
    for j=1:size(C,1)
        current_det = det(C_eig(C(j,:),1:i));
        if current_det > max_det(i)
            max_det(i) = current_det;
        end
    end
end

subplot(1,3,3)
plot(1:n,max_det,'*')
xlim([1,n])

grid on