// $Id$
// fichier de donnees gmsh

Spacer_R_1 = 6.5;
Spacer_R_2 = 15;
Spacer_H = 6;

Holder_H = 10;
Holder_R_1 = 6;
Holder_R_2 = 16;
Holder_R_3 = 26;

Bolt_C = 2.5;
Bolt_R_0 = 2.5;
Bolt_R_1 = 5;
Bolt_R_2 = 10;
Bolt_H = 5;

Bolt_l = 2*Holder_H+Spacer_H;
Bolt_L = 2*Bolt_H+Bolt_l;

nSpacer_R = 5;
nSpacer_H = 5;
nSpacer_Theta = 6; // for a quarter of the spacer (Pi/2)

nHolder_R = 5;
nHolder_H = 5;
nHolder_Theta = 6;
nHolder_G = 3;

nBolt_R_1 = 2;
nBolt_R_2 = 4;
nBolt_H = 5;
nBolt_l = 30;
nBolt_L = nBolt_l + 2*nBolt_H;
nBolt_Theta = 3; // (Pi/4)

lc = 1;

// below
Point(1000) = { 0, 0, 0, lc};

Point(1101) = { Bolt_C/2, 0, 0, lc};
Point(1102) = { Bolt_C/2, Bolt_C/2, 0, lc};
Point(1103) = { 0, Bolt_C/2, 0, lc};
Point(1104) = { -Bolt_C/2, Bolt_C/2, 0, lc};
Point(1105) = { -Bolt_C/2, 0, 0, lc};

Point(1201) = { Bolt_R_0, 0, 0, lc};
Point(1202) = { Bolt_R_0*Cos(Pi/4),   Bolt_R_0*Sin(Pi/4), 0, lc};
Point(1203) = { 0,   Bolt_R_0, 0, lc};
Point(1204) = { Bolt_R_0*Cos(3*Pi/4),   Bolt_R_0*Sin(3*Pi/4), 0, lc};
Point(1205) = { -Bolt_R_0, 0, 0, lc};

Point(1301) = { Bolt_R_1, 0, 0, lc};
Point(1302) = { Bolt_R_1*Cos(Pi/4),   Bolt_R_1*Sin(Pi/4), 0, lc};
Point(1303) = { 0,   Bolt_R_1, 0, lc};
Point(1304) = { Bolt_R_1*Cos(3*Pi/4),   Bolt_R_1*Sin(3*Pi/4), 0, lc};
Point(1305) = { -Bolt_R_1, 0, 0, lc};

Point(1401) = { Bolt_R_2, 0, 0, lc};
Point(1402) = { Bolt_R_2*Cos(Pi/4),   Bolt_R_2*Sin(Pi/4), 0, lc};
Point(1403) = { 0,   Bolt_R_2, 0, lc};
Point(1404) = { Bolt_R_2*Cos(3*Pi/4),   Bolt_R_2*Sin(3*Pi/4), 0, lc};
Point(1405) = { -Bolt_R_2, 0, 0, lc};

// mid

Point(2000) = { 0, 0, Bolt_l/2+Bolt_H, lc};

Point(2101) = { Bolt_C/2, 0, Bolt_l/2+Bolt_H, lc};
Point(2102) = { Bolt_C/2, Bolt_C/2, Bolt_l/2+Bolt_H, lc};
Point(2103) = { 0, Bolt_C/2, Bolt_l/2+Bolt_H, lc};
Point(2104) = { -Bolt_C/2, Bolt_C/2, Bolt_l/2+Bolt_H, lc};
Point(2105) = { -Bolt_C/2, 0, Bolt_l/2+Bolt_H, lc};

Point(2201) = { Bolt_R_0, 0, Bolt_l/2+Bolt_H, lc};
Point(2202) = { Bolt_R_0*Cos(Pi/4),   Bolt_R_0*Sin(Pi/4), Bolt_l/2+Bolt_H, lc};
Point(2203) = { 0,   Bolt_R_0, Bolt_l/2+Bolt_H, lc};
Point(2204) = { Bolt_R_0*Cos(3*Pi/4),   Bolt_R_0*Sin(3*Pi/4), Bolt_l/2+Bolt_H, lc};
Point(2205) = { -Bolt_R_0, 0, Bolt_l/2+Bolt_H, lc};

Point(2301) = { Bolt_R_1, 0, Bolt_l/2+Bolt_H, lc};
Point(2302) = { Bolt_R_1*Cos(Pi/4),   Bolt_R_1*Sin(Pi/4), Bolt_l/2+Bolt_H, lc};
Point(2303) = { 0,   Bolt_R_1, Bolt_l/2+Bolt_H, lc};
Point(2304) = { Bolt_R_1*Cos(3*Pi/4),   Bolt_R_1*Sin(3*Pi/4), Bolt_l/2+Bolt_H, lc};
Point(2305) = { -Bolt_R_1, 0, Bolt_l/2+Bolt_H, lc};

// up
Point(3000) = { 0, 0, Bolt_l+Bolt_H, lc};

Point(3101) = { Bolt_C/2, 0, Bolt_l+Bolt_H, lc};
Point(3102) = { Bolt_C/2, Bolt_C/2, Bolt_l+Bolt_H, lc};
Point(3103) = { 0, Bolt_C/2, Bolt_l+Bolt_H, lc};
Point(3104) = { -Bolt_C/2, Bolt_C/2, Bolt_l+Bolt_H, lc};
Point(3105) = { -Bolt_C/2, 0, Bolt_l+Bolt_H, lc};

Point(3201) = { Bolt_R_0, 0, Bolt_l+Bolt_H, lc};
Point(3202) = { Bolt_R_0*Cos(Pi/4),   Bolt_R_0*Sin(Pi/4), Bolt_l+Bolt_H, lc};
Point(3203) = { 0,   Bolt_R_0, Bolt_l+Bolt_H, lc};
Point(3204) = { Bolt_R_0*Cos(3*Pi/4),   Bolt_R_0*Sin(3*Pi/4), Bolt_l+Bolt_H, lc};
Point(3205) = { -Bolt_R_0, 0, Bolt_l+Bolt_H, lc};

Point(3301) = { Bolt_R_1, 0, Bolt_l+Bolt_H, lc};
Point(3302) = { Bolt_R_1*Cos(Pi/4),   Bolt_R_1*Sin(Pi/4), Bolt_l+Bolt_H, lc};
Point(3303) = { 0,   Bolt_R_1, Bolt_l+Bolt_H, lc};
Point(3304) = { Bolt_R_1*Cos(3*Pi/4),   Bolt_R_1*Sin(3*Pi/4), Bolt_l+Bolt_H, lc};
Point(3305) = { -Bolt_R_1, 0, Bolt_l+Bolt_H, lc};

Point(3401) = { Bolt_R_2, 0, Bolt_l+Bolt_H, lc};
Point(3402) = { Bolt_R_2*Cos(Pi/4),   Bolt_R_2*Sin(Pi/4), Bolt_l+Bolt_H, lc};
Point(3403) = { 0,   Bolt_R_2, Bolt_l+Bolt_H, lc};
Point(3404) = { Bolt_R_2*Cos(3*Pi/4),   Bolt_R_2*Sin(3*Pi/4), Bolt_l+Bolt_H, lc};
Point(3405) = { -Bolt_R_2, 0, Bolt_l+Bolt_H, lc};

// -----------

Point(9) = { Spacer_R_1, 0, Bolt_H+Holder_H, lc};
Point(10) = { Spacer_R_1, 0, Bolt_L-Bolt_H-Holder_H, lc};
Point(11) = { Spacer_R_2, 0, Bolt_L-Bolt_H-Holder_H, lc};
Point(12) = { Spacer_R_2, 0, Bolt_H+Holder_H, lc};

Point(13) = { Holder_R_1, 0, Bolt_H, lc}; //1
Point(14) = { Holder_R_2, 0, Bolt_H, lc};
Point(15) = { Holder_R_3, 0, Bolt_H, lc};

Point(16) = { 0, Holder_R_1, Bolt_H, lc};
Point(17) = { 0, Holder_R_2, Bolt_H, lc};
Point(18) = { 0, Holder_R_3, Bolt_H, lc};

Point(19) = { -Holder_R_1, 0, Bolt_H, lc}; //1
Point(20) = { -Holder_R_2, 0, Bolt_H, lc};
Point(21) = { -Holder_R_3, 0, Bolt_H, lc};

Point(22) = { -Holder_R_3, Holder_R_3, Bolt_H, lc};
Point(23) = { 0, 0, Bolt_H, lc};


Point(24) = { Holder_R_1, 0, Bolt_L-Bolt_H, lc}; // +11
Point(25) = { Holder_R_2, 0, Bolt_L-Bolt_H, lc};
Point(26) = { Holder_R_3, 0, Bolt_L-Bolt_H, lc};

Point(27) = { 0, Holder_R_1, Bolt_L-Bolt_H, lc};
Point(28) = { 0, Holder_R_2, Bolt_L-Bolt_H, lc};
Point(29) = { 0, Holder_R_3, Bolt_L-Bolt_H, lc};

Point(30) = { -Holder_R_1, 0, Bolt_L-Bolt_H, lc}; //1
Point(31) = { -Holder_R_2, 0, Bolt_L-Bolt_H, lc};
Point(32) = { -Holder_R_3, 0, Bolt_L-Bolt_H, lc};

Point(33) = { -Holder_R_3, Holder_R_3, Bolt_L-Bolt_H, lc};
Point(34) = { 0, 0, Bolt_L-Bolt_H, lc};

// ==============

//
Line(1051) = {1000, 1101};
Line(1053) = {1000, 1103};
Line(1055) = {1000, 1105};

Line(1101) = {1101, 1102};
Line(1102) = {1102, 1103};
Line(1103) = {1103, 1104};
Line(1104) = {1104, 1105};

Line(1151) = {1101, 1201};
Line(1152) = {1102, 1202};
Line(1153) = {1103, 1203};
Line(1154) = {1104, 1204};
Line(1155) = {1105, 1205};

Circle(1201) = {1201, 1000, 1202};
Circle(1202) = {1202, 1000, 1203};
Circle(1203) = {1203, 1000, 1204};
Circle(1204) = {1204, 1000, 1205};

Line(1251) = {1201, 1301};
Line(1252) = {1202, 1302};
Line(1253) = {1203, 1303};
Line(1254) = {1204, 1304};
Line(1255) = {1205, 1305};

Circle(1301) = {1301, 1000, 1302};
Circle(1302) = {1302, 1000, 1303};
Circle(1303) = {1303, 1000, 1304};
Circle(1304) = {1304, 1000, 1305};

Line(1351) = {1301, 1401};
Line(1352) = {1302, 1402};
Line(1353) = {1303, 1403};
Line(1354) = {1304, 1404};
Line(1355) = {1305, 1405};

Circle(1401) = {1401, 1000, 1402};
Circle(1402) = {1402, 1000, 1403};
Circle(1403) = {1403, 1000, 1404};
Circle(1404) = {1404, 1000, 1405};

//

Line(2051) = {2000, 2101};
Line(2053) = {2000, 2103};
Line(2055) = {2000, 2105};

Line(2101) = {2101, 2102};
Line(2102) = {2102, 2103};
Line(2103) = {2103, 2104};
Line(2104) = {2104, 2105};

Line(2151) = {2101, 2201};
Line(2152) = {2102, 2202};
Line(2153) = {2103, 2203};
Line(2154) = {2104, 2204};
Line(2155) = {2105, 2205};

Circle(2201) = {2201, 2000, 2202};
Circle(2202) = {2202, 2000, 2203};
Circle(2203) = {2203, 2000, 2204};
Circle(2204) = {2204, 2000, 2205};

Line(2251) = {2201, 2301};
Line(2252) = {2202, 2302};
Line(2253) = {2203, 2303};
Line(2254) = {2204, 2304};
Line(2255) = {2205, 2305};

Circle(2301) = {2301, 2000, 2302};
Circle(2302) = {2302, 2000, 2303};
Circle(2303) = {2303, 2000, 2304};
Circle(2304) = {2304, 2000, 2305};

//
Line(3051) = {3000, 3101};
Line(3053) = {3000, 3103};
Line(3055) = {3000, 3105};

Line(3101) = {3101, 3102};
Line(3102) = {3102, 3103};
Line(3103) = {3103, 3104};
Line(3104) = {3104, 3105};

Line(3151) = {3101, 3201};
Line(3152) = {3102, 3202};
Line(3153) = {3103, 3203};
Line(3154) = {3104, 3204};
Line(3155) = {3105, 3205};

Circle(3201) = {3201, 3000, 3202};
Circle(3202) = {3202, 3000, 3203};
Circle(3203) = {3203, 3000, 3204};
Circle(3204) = {3204, 3000, 3205};

Line(3251) = {3201, 3301};
Line(3252) = {3202, 3302};
Line(3253) = {3203, 3303};
Line(3254) = {3204, 3304};
Line(3255) = {3205, 3305};

Circle(3301) = {3301, 3000, 3302};
Circle(3302) = {3302, 3000, 3303};
Circle(3303) = {3303, 3000, 3304};
Circle(3304) = {3304, 3000, 3305};

Line(3351) = {3301, 3401};
Line(3352) = {3302, 3402};
Line(3353) = {3303, 3403};
Line(3354) = {3304, 3404};
Line(3355) = {3305, 3405};

Circle(3401) = {3401, 3000, 3402};
Circle(3402) = {3402, 3000, 3403};
Circle(3403) = {3403, 3000, 3404};
Circle(3404) = {3404, 3000, 3405};

//-----
Line(9) = {9, 10};
Line(10) = {10, 11};
Line(11) = {11, 12};
Line(12) = {12, 9};

Line(13) = {13, 14};
Circle(14) = {14, 23, 17};
Line(15) = {16, 17};
Circle(16) = {13, 23, 16};

Line(17) = {14, 15};
Circle(18) = {15, 23, 18};
Line(19) = {17, 18};

Circle(20) = {17, 23, 20};
Line(21) = {19, 20};
Circle(22) = {16, 23, 19};
Line(23) = {20, 21};
Line(24) = {18, 22};
Line(25) = {21, 22};


Line(26) = {24, 25}; //+13
Circle(27) = {25, 34, 28};
Line(28) = {27, 28};
Circle(29) = {24, 34, 27};

Line(30) = {25, 26};
Circle(31) = {26, 34, 29};
Line(32) = {28, 29};

Circle(33) = {28, 34, 31};
Line(34) = {30, 31};
Circle(35) = {27, 34, 30};
Line(36) = {31, 32};
Line(37) = {29, 33};
Line(38) = {32, 33};

//===


Transfinite Line {1151,1152,1153,1154,1155} = 1 Using Progression 1;
Transfinite Line {2151,2152,2153,2154,2155} = 1 Using Progression 1;
Transfinite Line {3151,3152,3153,3154,3155} = 1 Using Progression 1;

Transfinite Line {1251,1252,1253,1254,1255} = nBolt_R_1+1 Using Progression 1;
Transfinite Line {2251,2252,2253,2254,2255} = nBolt_R_1+1 Using Progression 1;
Transfinite Line {3251,3252,3253,3254,3255} = nBolt_R_1+1 Using Progression 1;

Transfinite Line {1351,1352,1353,1354,1355} = nBolt_R_2+1 Using Progression 1;
Transfinite Line {3351,3352,3353,3354,3355} = nBolt_R_2+1 Using Progression 1;

Transfinite Line {1051,1053,1055,1101,1102,1103,1104,1201,1202,1203,1204,1301,1302,1303,1304,1401,1402,1403,1404} = nBolt_Theta+1 Using Progression 1;
Transfinite Line {2051,2053,2055,2101,2102,2103,2104,2201,2202,2203,2204,2301,2302,2303,2304} = nBolt_Theta+1 Using Progression 1;
Transfinite Line {3051,3053,3055,3101,3102,3103,3104,3201,3202,3203,3204,3301,3302,3303,3304,3401,3402,3403,3404} = nBolt_Theta+1 Using Progression 1;


Line Loop(1051) = {1051,1101,1102,-1053};
Line Loop(1052) = {1053,1103,1104,-1055};

Line Loop(1151) = {1151,1201,-1152,-1101};
Line Loop(1152) = {1152,1202,-1153,-1102};
Line Loop(1153) = {1153,1203,-1154,-1103};
Line Loop(1154) = {1154,1204,-1155,-1104};

Line Loop(1251) = {1251,1301,-1252,-1201};
Line Loop(1252) = {1252,1302,-1253,-1202};
Line Loop(1253) = {1253,1303,-1254,-1203};
Line Loop(1254) = {1254,1304,-1255,-1204};

Line Loop(1351) = {1351,1401,-1352,-1301};
Line Loop(1352) = {1352,1402,-1353,-1302};
Line Loop(1353) = {1353,1403,-1354,-1303};
Line Loop(1354) = {1354,1404,-1355,-1304};


Line Loop(2051) = {2051,2101,2102,-2053};
Line Loop(2052) = {2053,2103,2104,-2055};

Line Loop(2151) = {2151,2201,-2152,-2101};
Line Loop(2152) = {2152,2202,-2153,-2102};
Line Loop(2153) = {2153,2203,-2154,-2103};
Line Loop(2154) = {2154,2204,-2155,-2104};

Line Loop(2251) = {2251,2301,-2252,-2201};
Line Loop(2252) = {2252,2302,-2253,-2202};
Line Loop(2253) = {2253,2303,-2254,-2203};
Line Loop(2254) = {2254,2304,-2255,-2204};


Line Loop(3051) = {3051,3101,3102,-3053};
Line Loop(3052) = {3053,3103,3104,-3055};

Line Loop(3151) = {3151,3201,-3152,-3101};
Line Loop(3152) = {3152,3202,-3153,-3102};
Line Loop(3153) = {3153,3203,-3154,-3103};
Line Loop(3154) = {3154,3204,-3155,-3104};

Line Loop(3251) = {3251,3301,-3252,-3201};
Line Loop(3252) = {3252,3302,-3253,-3202};
Line Loop(3253) = {3253,3303,-3254,-3203};
Line Loop(3254) = {3254,3304,-3255,-3204};

Line Loop(3351) = {3351,3401,-3352,-3301};
Line Loop(3352) = {3352,3402,-3353,-3302};
Line Loop(3353) = {3353,3403,-3354,-3303};
Line Loop(3354) = {3354,3404,-3355,-3304};


Plane Surface(1051) = {1051};
Plane Surface(1052) = {1052};

Plane Surface(1151) = {1151};
Plane Surface(1152) = {1152};
Plane Surface(1153) = {1153};
Plane Surface(1154) = {1154};

Plane Surface(1251) = {1251};
Plane Surface(1252) = {1252};
Plane Surface(1253) = {1253};
Plane Surface(1254) = {1254};

Plane Surface(1351) = {1351};
Plane Surface(1352) = {1352};
Plane Surface(1353) = {1353};
Plane Surface(1354) = {1354};

Plane Surface(2051) = {2051};
Plane Surface(2052) = {2052};

Plane Surface(2151) = {2151};
Plane Surface(2152) = {2152};
Plane Surface(2153) = {2153};
Plane Surface(2154) = {2154};

Plane Surface(2251) = {2251};
Plane Surface(2252) = {2252};
Plane Surface(2253) = {2253};
Plane Surface(2254) = {2254};

Plane Surface(3051) = {3051};
Plane Surface(3052) = {3052};

Plane Surface(3151) = {3151};
Plane Surface(3152) = {3152};
Plane Surface(3153) = {3153};
Plane Surface(3154) = {3154};

Plane Surface(3251) = {3251};
Plane Surface(3252) = {3252};
Plane Surface(3253) = {3253};
Plane Surface(3254) = {3254};

Plane Surface(3351) = {3351};
Plane Surface(3352) = {3352};
Plane Surface(3353) = {3353};
Plane Surface(3354) = {3354};

Transfinite Surface {1051,1052,1151,1152,1153,1154,1251,1252,1253,1254,1351,1352,1353,1354};
Recombine Surface {1051,1052,1151,1152,1153,1154,1251,1252,1253,1254,1351,1352,1353,1354};

Transfinite Surface {2051,2052,2151,2152,2153,2154,2251,2252,2253,2254};
Recombine Surface {2051,2052,2151,2152,2153,2154,2251,2252,2253,2254};

Transfinite Surface {3051,3052,3151,3152,3153,3154,3251,3252,3253,3254,3351,3352,3353,3354};
Recombine Surface {3051,3052,3151,3152,3153,3154,3251,3252,3253,3254,3351,3352,3353,3354};



////


Transfinite Line {9,11} = nSpacer_H+1 Using Progression 1;
Transfinite Line {10,12} = nSpacer_R+1 Using Progression 1;
Line Loop(2) = {9, 10, 11, 12};
Plane Surface(2) = {2};
Transfinite Surface {2};
Recombine Surface {2};

Transfinite Line {13,15} = nHolder_R+1 Using Progression 1;
Transfinite Line {14,16} = nHolder_Theta+1 Using Progression 1;
Line Loop(3) = {13, 14, -15, -16};
Plane Surface(3) = {3};
Transfinite Surface {3};
Recombine Surface {3};

Transfinite Line {17,19} = nHolder_R+1 Using Progression 1;
Transfinite Line {18} = nHolder_Theta+1 Using Progression 1;
Line Loop(4) = {17, 18, -19, -14};
Plane Surface(4) = {4};
Transfinite Surface {4};
Recombine Surface {4};

Transfinite Line {21} = nHolder_R+1 Using Progression 1;
Transfinite Line {20,22} = nHolder_Theta+1 Using Progression 1;
Line Loop(5) = {15, 20, -21, -22};
Plane Surface(5) = {5};
Transfinite Surface {5};
Recombine Surface {5};

Transfinite Line {23} = nHolder_R+1 Using Progression 1;
Transfinite Line {24,25} = nHolder_R+nHolder_G+1 Using Progression 1;
Line Loop(6) = {19, 24, -25, -23,-20};
Plane Surface(6) = {6};
Recombine Surface {6};



Transfinite Line {26,28} = nHolder_R+1 Using Progression 1;
Transfinite Line {27,29} = nHolder_Theta+1 Using Progression 1;
Line Loop(7) = {26, 27, -28, -29};
Plane Surface(7) = {7};
Transfinite Surface {7};
Recombine Surface {7};

Transfinite Line {30,32} = nHolder_R+1 Using Progression 1;
Transfinite Line {31} = nHolder_Theta+1 Using Progression 1;
Line Loop(8) = {30, 31, -32, -27};
Plane Surface(8) = {8};
Transfinite Surface {8};
Recombine Surface {8};

Transfinite Line {34} = nHolder_R+1 Using Progression 1;
Transfinite Line {33,35} = nHolder_Theta+1 Using Progression 1;
Line Loop(9) = {28, 33, -34, -35};
Plane Surface(9) = {9};
Transfinite Surface {9};
Recombine Surface {9};

Transfinite Line {36} = nHolder_R+1 Using Progression 1;
Transfinite Line {37,38} = nHolder_R+nHolder_G+1 Using Progression 1;
Line Loop(10) = {32, 37, -38, -36,-33};
Plane Surface(10) = {10};
Recombine Surface {10};


/////

Extrude {0, 0, Bolt_H}
{
  Surface{1051,1052,1151,1152,1153,1154,1251,1252,1253,1254,1351,1352,1353,1354}; Layers{nBolt_H}; Recombine;
}

Extrude {0, 0, -Bolt_l/2}
{
  Surface{2051,2052,2151,2152,2153,2154,2251,2252,2253,2254}; Layers{nBolt_H}; Recombine;
}

Extrude {0, 0, Bolt_l/2}
{
  Surface{2051,2052,2151,2152,2153,2154,2251,2252,2253,2254}; Layers{nBolt_H}; Recombine;
}

Extrude {0, 0, Bolt_H}
{
  Surface{3051,3052,3151,3152,3153,3154,3251,3252,3253,3254,3351,3352,3353,3354}; Layers{nBolt_H}; Recombine;
}


///

Extrude {{0, 0, 1}, {0, 0, 0}, Pi} {
  Surface{2}; Layers{2*nSpacer_Theta}; Recombine;
}


Extrude {0, 0, Holder_H}
{
  Surface{3,4,5,6}; Layers{nHolder_H}; Recombine;
}
Coherence;
Extrude {0, 0, -Holder_H}
{
  Surface{7,8,9,10}; Layers{nHolder_H}; Recombine;
}
Coherence;


Physical Volume("Bolt") = {1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48};
Physical Volume("Spacer") = {49};
Physical Volume("Holder 1") = {54,55,56,57};
Physical Volume("Holder 2") = {50,51,52,53};
Physical Surface("Sym y") = {4579, 4552, 4371, 4283, 4195, 4111, 4077, 4209, 4121, 4297, 4009, 3941, 3899, 3932, 4000, 4068, 4500, 4522, 2, 4398, 4486, 4459, 4407, 4429, 3633, 3545, 3457, 3413, 3531, 3619, 3447, 3707, 3890, 3822, 3754, 3721, 3763, 3831};
Physical Surface("Holder 1 end") = {4575};
Physical Surface("Holder 2 end") = {4482};
Physical Surface("Holder 1 to Bolt") = {9, 7};
Physical Surface("Holder 1 to Spacer") = {4557, 4513};
Physical Surface("Holder 2 to Bolt") = {5, 3};
Physical Surface("Holder 2 to Spacer") = {4420, 4464};
Physical Surface("Spacer to Holder 1") = {4389};
Physical Surface("Spacer to Holder 2") = {4397};
Physical Surface("Bolt to Holder 1") = {3354, 3353, 3352, 3351};
Physical Surface("Bolt to Holder 2") = {3646, 3668, 3690, 3712};
Physical Point("Bolt center") = {2000};
