#ifndef WSOURCE_H
#define WSOURCE_H

#include "mrstlnos.h"
#include "wGroup.h"
#include "wPt.h"
#include <vector>
#include <string>
using namespace tbox;

namespace mrstlnos {

/**
 * @brief manage mechanical Dirichlet BC
 */

class MRSTLNOS_API Source : public Group
{
public:
    std::string const &Source_name;
    std::vector<Node *> nodes;
    double value;

    Source(Problem &pbl, std::string const &name, std::string const &_Source_name, double v_T);
#ifndef SWIG
    virtual void write(std::ostream &out) const;
#endif
};

}

#endif //WSOURCE_H
