rm -rf CMake*
cmake \
  -D CMAKE_CXX_COMPILER:FILEPATH=mpicxx \
  -D CMAKE_C_COMPILER:FILEPATH=mpicc \
  -D TRILINOS_SOURCE_DIR:PATH="/home/knliege/dev/trilinos_all/Trilinos" \
  -D TRILINOS_BUILD_DIR:PATH="/home/knliege/dev/trilinos_all/Trilinos_Bowman_B" \
  -D VTK_DIR:PATH="/home/knliege/local/vtk_bowman/lib/cmake/vtk-9.0" \
  -D GMM_INCLUDE_DIRS:PATH="/ascldap/users/knliege/local/" \
  -D CMAKE_CXX_FLAGS="-parallel-source-info=2 -xMIC-AVX512 -mkl -std=c++11 -qopenmp -O3 -DNDEBUG -g -fPIC -fopenmp -lmpi" \
  -D WAVES_USE_FDTD:BOOL=OFF \
  -D WAVES_USE_FLOW:BOOL=OFF \
  -D WAVES_USE_HEAT:BOOL=OFF \
  -D WAVES_USE_MIRRORS:BOOL=OFF \
  -D WAVES_USE_PARAMS:BOOL=OFF \
  -D WAVES_USE_SPH:BOOL=OFF \
  -D WAVES_USE_TLNOS:BOOL=OFF \
  -D WAVES_USE_WAVES:BOOL=OFF \
  -D WAVES_USE_TBB:BOOL=OFF \
../waves
