clc
clear all
[it_fg, res_fg] = read_belos('low_frequence_belos.text');
[it_fgw, res_fgw] = read_belos('low_frequence_w_noise_belos.text');
[it_sg, res_sg] = read_belos('high_frequence_belos.text');
[it_sgw, res_sgw] = read_belos('high_frequence_w_noise_belos.text');
[it_tg, res_tg] = read_belos('low_and_high_frequence_belos.text');
[it_tgw, res_tgw] = read_belos('low_and_high_frequence_w_noise_belos.text');
close all


figure
semilogy(it_fg, res_fg,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','r')
hold on
semilogy(it_fgw, res_fgw,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','r',...
    'MarkerFaceColor','r')
semilogy(it_sg, res_sg,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','g')
semilogy(it_sgw, res_sgw,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','g',...
    'MarkerFaceColor','g')
semilogy(it_tg, res_tg,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b')
semilogy(it_tgw, res_tgw,'o','LineWidth',0.5,...
    'MarkerSize',6,...
    'MarkerEdgeColor','b',...
    'MarkerFaceColor','b')
grid on
box on
set(gca,'fontsize',18)
xlabel('Iteration')
ylabel('(2-Norm Res Vec) / (2-Norm Prec Res0)')

