%close all
clc
clear all

[it_1g, res_1g] = read_belos('multiFGuess_belos.text');
[it_2g, res_2g] = read_belos('multiFGuess_belos_preconditioned.text');

%%
close all
figure
semilogy(it_1g, res_1g,'o','LineWidth',1,...
    'MarkerSize',8,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','r')
hold on
semilogy(it_2g, res_2g,'o','LineWidth',1,...
    'MarkerSize',8,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','g')
grid on
box on
set(gca,'fontsize',18)
xlabel('Iteration')
ylabel('(2-Norm Res Vec) / (2-Norm Prec Res0)')
hold off
