/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

# include <cstdlib>
# include <cmath>
# include <ctime>
# include <iostream>
# include <iomanip>
# include <cstring>


# include "interface.hpp"
# include "cvt.hpp"

using namespace std;
using namespace paramsCVT;
/*
Interface::Interface(int _DIM_NUM, int _N, int _batch, int _init, int _sample, int _sample_num, int _it_max, int _it_fixed) : DIM_NUM(_DIM_NUM), N(_N), batch(_batch), init(_init), sample(_sample), sample_num(_sample_num), it_max(_it_max), it_fixed(_it_fixed)
{
}

int Interface::call()
{
  timestamp ( );
  cout << "\n";
  cout << "CVT_PRB\n";
  cout << "  C++ version\n";
  cout << "  Test the CVT library.\n";

  //int batch;
  double energy;
  string file_out_name = "cvt_circle.txt";
  //int init;
  char init_string[80];
  double it_diff;
  //int it_fixed;
  //int it_max;
  int it_num;
  double r[DIM_NUM*N];
  //int sample;
  //int sample_num;
  char sample_string[80];
  int seed;
  int seed_init;

  cout << "\n";
  cout << "TEST13\n";
  cout << "  CVT computes a Centroidal Voronoi Tessellation.\n";
  cout << "  In this example, we call the \"USER\" routine,\n";
  cout << "  which allows the user to define the geometry and\n";
  cout << "  density implicitly, by returning sample points.\n";

  //batch = 1000;
  //init = 3;
  strcpy ( init_string, "uniform" );
  //it_max = 40;
  //it_fixed = 1;
  //sample = 3;
  //sample_num = 10000;
  strcpy ( sample_string, "uniform" );
  seed = 123456789;

  seed_init = seed;

  cvt ( DIM_NUM, N, batch, init, sample, sample_num, it_max, it_fixed, 
    &seed, r, &it_num, &it_diff, &energy );

  cout << "\n";
  cout << "  Dimension DIM_NUM =        "  << DIM_NUM       << "\n";
  cout << "  Number of points N =       "  << N             << "\n";
  cout << "  Initial SEED =             "  << seed_init     << "\n";
  cout << "  Current SEED =             "  << seed          << "\n";
  cout << "  INIT =                    \"" << init_string   << "\".\n";
  cout << "  Max iterations IT_MAX =    "  << it_max        << "\n";
  cout << "  IT_FIXED (fixed samples) = "  << it_fixed      << "\n";
  cout << "  Iterations IT_NUM =        "  << it_num        << "\n";
  cout << "  Difference IT_DIFF =       "  << it_diff       << "\n";
  cout << "  CVT ENERGY =               "  << energy        << "\n";
  cout << "  SAMPLE =                  \"" << sample_string << "\".\n";
  cout << "  Samples SAMPLE_NUM    =    "  << sample_num    << "\n";
  cout << "  Sampling BATCH size =      "  << batch         << "\n";
  cout << "  EPSILON (unit roundoff) =  "  << r8_epsilon ( ) << "\n";
  
  r8mat_write ( file_out_name, DIM_NUM, N, r );

//
//  Terminate.
//
  cout << "\n";
  cout << "CVT_PRB\n";
  cout << "  Normal end of execution.\n";
  cout << "\n";
  timestamp ( );

  return 0;
}
*/
