/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef GMM_EXTRA_H
#define GMM_EXTRA_H

#include "tbox.h"
#include "gmm_gmm.h"
#include <string>

namespace tbox
{

TBOX_API void
tomatlab(std::string const &fname, gmm::csr_matrix<double> const &A);
}

#endif //GMM_EXTRA_H
