#include "wExample2.h"


#include "Epetra_SerialDenseVector.h"
#include "Epetra_SerialDenseMatrix.h"

#include "Tpetra_Vector.hpp"

using namespace tlnos;

Example2::Example2()
{
}


int
Example2::execute() 
{

    int NumRowsA = 2, NumColsA = 2;
    int NumRowsB = 2, NumColsB = 1;
    Epetra_SerialDenseMatrix A, B;
    A.Shape(NumRowsA, NumColsA);
    B.Shape(NumRowsB, NumColsB);
    A(0,0) = 1.;
    A(1,1) = 2.;

    B(0,0) = 2.5;
    B(1,0) = 2.;
    Epetra_SerialDenseMatrix AtimesB;
    
    AtimesB.Shape(NumRowsA,NumColsB);
    double alpha = 1.0, beta = 1.0;
    AtimesB.Multiply('N','N',alpha, A, B, beta);
    std::cout << A;
    std::cout << B;
    std::cout << AtimesB;
    return 0;
}


